rte_ipsec_group.h(3)

NAME
rte_ipsec_group.h

SYNOPSIS

  Data Structures

struct rte_ipsec_group

  Functions

static struct rte_ipsec_session * rte_ipsec_ses_from_crypto (const struct rte_crypto_op *cop)
static uint16_t rte_ipsec_pkt_crypto_group (const struct rte_crypto_op *cop[], struct rte_mbuf *mb[], struct rte_ipsec_group grp[], uint16_t num)

Detailed Description

RTE IPsec support. It is not recommended to include this file directly, include <rte_ipsec.h> instead. Contains helper functions to process completed crypto-ops and group related packets by sessions they belong to.

Definition in file rte_ipsec_group.h.

Function Documentation

  struct rte_ipsec_session * rte_ipsec_ses_from_crypto (const struct rte_crypto_op * cop) [inline], [static]
Take crypto-op as an input and extract pointer to related ipsec session.

Parameters
    cop The address of an input rte_crypto_op structure.

Returns
    The pointer to the related rte_ipsec_session structure.

Definition at line 45 of file rte_ipsec_group.h.

  uint16_t rte_ipsec_pkt_crypto_group (const struct rte_crypto_op * cop[], struct rte_mbuf * mb[], struct rte_ipsec_group grp[], uint16_t num) [inline], [static]
Take as input completed crypto ops, extract related mbufs and group them by rte_ipsec_session they belong to. For mbuf which crypto-op wasn't completed successfully RTE_MBUF_F_RX_SEC_OFFLOAD_FAILED will be raised in ol_flags. Note that mbufs with undetermined SA (session-less) are not freed by the function, but are placed beyond mbufs for the last valid group. It is a user responsibility to handle them further.

Parameters
    cop The address of an array of num pointers to the input rte_crypto_op structures.
    mb The address of an array of num pointers to output rte_mbuf structures.
    grp The address of an array of num to output rte_ipsec_group structures.
    num The maximum number of crypto-ops to process.

Returns
    Number of filled elements in grp array.

Definition at line 82 of file rte_ipsec_group.h.

Author

Generated automatically by Doxygen for DPDK from the source code.